import './option.dart';
import './terminal.dart';


final Terminal _terminal = const Terminal();

class Prompter {

  bool askBinary(String prompt) {
    final resp = _askQuestion('$prompt (y/n)', []);

    return resp.contains('y');
  }

  dynamic askMultiple(String prompt, List<Option> options) {
    final resp =_askQuestion(prompt, options);

    try {
      return options[int.parse(resp)].value;
    } catch (err) {
      return askMultiple(prompt, options);
    }
  }

  String _askQuestion(String prompt, List<Option> options) {
    _terminal.clearScreen();
    _terminal.printPrompt(prompt);
    _terminal.printOptions(options);

    return _terminal.collectInput();
  }
}